org.apache.storm.hdfs.security

## Class HdfsSecurityUtil

- java.lang.Object
- - org.apache.storm.hdfs.security.HdfsSecurityUtil

-     public final class HdfsSecurityUtil
      extends Object

  This class provides util methods for storm-hdfs connector communicating with secured HDFS.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HDFS_CREDENTIALS`
    `static String` | `HDFS_CREDENTIALS_CONFIG_KEYS`
    `static String` | `STORM_KEYTAB_FILE_KEY`
    `static String` | `STORM_USER_NAME_KEY`
    `static String` | `TOPOLOGY_HDFS_URI`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `login(Map<String,Object> conf, org.apache.hadoop.conf.Configuration hdfsConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STORM_KEYTAB_FILE_KEY

          public static final String STORM_KEYTAB_FILE_KEY

      See Also:
        Constant Field Values

    - #### STORM_USER_NAME_KEY

          public static final String STORM_USER_NAME_KEY

      See Also:
        Constant Field Values

    - #### HDFS_CREDENTIALS_CONFIG_KEYS

          public static final String HDFS_CREDENTIALS_CONFIG_KEYS

      See Also:
        Constant Field Values

    - #### HDFS_CREDENTIALS

          public static final String HDFS_CREDENTIALS

      See Also:
        Constant Field Values

    - #### TOPOLOGY_HDFS_URI

          public static final String TOPOLOGY_HDFS_URI

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### login

          public static void login(Map<String,Object> conf,
                                   org.apache.hadoop.conf.Configuration hdfsConfig)
                            throws IOException

      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.